> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Partially Update Chart Account Settings

> Partially update the default chart accounts to be used across the platform. Each input is the id to an existing chart account.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json patch /coa/api/chart-account-settings
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/chart-account-settings:
    patch:
      tags:
        - Settings
      summary: Partially Update Chart Account Settings
      description: >-
        Partially update the default chart accounts to be used across the
        platform. Each input is the id to an existing chart account.
      operationId: settings_partial_update_chart_account_settings
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedChartAccountSettings'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedChartAccountSettings'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedChartAccountSettings'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChartAccountSettings'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    PatchedChartAccountSettings:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        uncategorized_name_and_number:
          type: string
          readOnly: true
        accounts_payable_name_and_number:
          type: string
          readOnly: true
        accounts_receivable_name_and_number:
          type: string
          readOnly: true
        deferred_revenue_name_and_number:
          type: string
          readOnly: true
        accrued_revenue_name_and_number:
          type: string
          readOnly: true
        unrealized_gain_loss_name_and_number:
          type: string
          readOnly: true
        realized_gain_loss_name_and_number:
          type: string
          readOnly: true
        rounding_account_name_and_number:
          type: string
          readOnly: true
        unapplied_credits_name_and_number:
          type: string
          readOnly: true
        unapplied_debits_name_and_number:
          type: string
          readOnly: true
        unbilled_revenue_name_and_number:
          type: string
          readOnly: true
        default_clearing_name_and_number:
          type: string
          readOnly: true
        discount_account_name_and_number:
          type: string
          readOnly: true
        accrued_discount_account_name_and_number:
          type: string
          readOnly: true
        unbilled_discount_account_name_and_number:
          type: string
          readOnly: true
        refund_account_name_and_number:
          type: string
          readOnly: true
        processing_fees_name_and_number:
          type: string
          readOnly: true
        platform_fees_name_and_number:
          type: string
          readOnly: true
        deferred_processing_fees_name_and_number:
          type: string
          readOnly: true
        tax_account_name_and_number:
          type: string
          readOnly: true
        payout_account_name_and_number:
          type: string
          readOnly: true
        cta_account_name_and_number:
          type: string
          readOnly: true
        fixed_asset_disposal_name_and_number:
          type: string
          readOnly: true
        bad_debt_account_name_and_number:
          type: string
          readOnly: true
        dispute_expense_account_name_and_number:
          type: string
          readOnly: true
        dispute_reinstatement_account_name_and_number:
          type: string
          readOnly: true
        recognize_discounts_as_contra_revenue:
          type: boolean
          description: >-
            When enabled, recognized discounts post to the discount account
            instead of netting into revenue.
        enable_mid_month_convention:
          type: boolean
          description: >-
            When enabled, fixed assets placed in service after the threshold day
            will begin depreciation the following month (full-month depreciation
            only)
        mid_month_threshold:
          type: integer
          maximum: 31
          minimum: 0
          description: >-
            Day of month threshold (0-31). Assets placed in service AFTER this
            day will start depreciation the following month
        use_whole_month_accounting_for_prepaids:
          type: boolean
          description: >-
            When enabled, prepaid amortizations will use whole-month accounting
            (no proration of first/last months)
        split_invoice_payments_by_line:
          type: boolean
          nullable: true
          description: When enabled, invoice payments will be split by line items
        split_eliminations_by_department:
          type: boolean
          description: >-
            When enabled, elimination entries are broken out by department in
            addition to account and entity
        customer:
          type: integer
          readOnly: true
        uncategorized:
          type: integer
          nullable: true
        accounts_payable:
          type: integer
          nullable: true
        accounts_receivable:
          type: integer
          nullable: true
        deferred_revenue:
          type: integer
          nullable: true
        accrued_revenue:
          type: integer
          nullable: true
        unrealized_gain_loss:
          type: integer
          nullable: true
        realized_gain_loss:
          type: integer
          nullable: true
        rounding_account:
          type: integer
          nullable: true
        unapplied_credits:
          type: integer
          nullable: true
        unapplied_debits:
          type: integer
          nullable: true
        unbilled_revenue:
          type: integer
          nullable: true
        default_clearing:
          type: integer
          nullable: true
        discount_account:
          type: integer
          nullable: true
        accrued_discount_account:
          type: integer
          nullable: true
        unbilled_discount_account:
          type: integer
          nullable: true
        refund_account:
          type: integer
          nullable: true
        processing_fees:
          type: integer
          nullable: true
        platform_fees:
          type: integer
          nullable: true
          description: >-
            Account for Stripe platform/subscription fees. Falls back to
            processing_fees if not set.
        deferred_processing_fees:
          type: integer
          nullable: true
        tax_account:
          type: integer
          nullable: true
        payout_account:
          type: integer
          nullable: true
        cta_account:
          type: integer
          nullable: true
        fixed_asset_disposal:
          type: integer
          nullable: true
        bad_debt_account:
          type: integer
          nullable: true
        dispute_expense_account:
          type: integer
          nullable: true
          description: >-
            Account for dispute withdrawals (debit) and dispute reinstatement
            reversals (credit). Falls back to bad_debt_account if not set.
        dispute_reinstatement_account:
          type: integer
          nullable: true
          description: >-
            Account credited when a dispute is reinstated (won). Falls back to
            dispute_expense_account if not set.
    ChartAccountSettings:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        uncategorized_name_and_number:
          type: string
          readOnly: true
        accounts_payable_name_and_number:
          type: string
          readOnly: true
        accounts_receivable_name_and_number:
          type: string
          readOnly: true
        deferred_revenue_name_and_number:
          type: string
          readOnly: true
        accrued_revenue_name_and_number:
          type: string
          readOnly: true
        unrealized_gain_loss_name_and_number:
          type: string
          readOnly: true
        realized_gain_loss_name_and_number:
          type: string
          readOnly: true
        rounding_account_name_and_number:
          type: string
          readOnly: true
        unapplied_credits_name_and_number:
          type: string
          readOnly: true
        unapplied_debits_name_and_number:
          type: string
          readOnly: true
        unbilled_revenue_name_and_number:
          type: string
          readOnly: true
        default_clearing_name_and_number:
          type: string
          readOnly: true
        discount_account_name_and_number:
          type: string
          readOnly: true
        accrued_discount_account_name_and_number:
          type: string
          readOnly: true
        unbilled_discount_account_name_and_number:
          type: string
          readOnly: true
        refund_account_name_and_number:
          type: string
          readOnly: true
        processing_fees_name_and_number:
          type: string
          readOnly: true
        platform_fees_name_and_number:
          type: string
          readOnly: true
        deferred_processing_fees_name_and_number:
          type: string
          readOnly: true
        tax_account_name_and_number:
          type: string
          readOnly: true
        payout_account_name_and_number:
          type: string
          readOnly: true
        cta_account_name_and_number:
          type: string
          readOnly: true
        fixed_asset_disposal_name_and_number:
          type: string
          readOnly: true
        bad_debt_account_name_and_number:
          type: string
          readOnly: true
        dispute_expense_account_name_and_number:
          type: string
          readOnly: true
        dispute_reinstatement_account_name_and_number:
          type: string
          readOnly: true
        recognize_discounts_as_contra_revenue:
          type: boolean
          description: >-
            When enabled, recognized discounts post to the discount account
            instead of netting into revenue.
        enable_mid_month_convention:
          type: boolean
          description: >-
            When enabled, fixed assets placed in service after the threshold day
            will begin depreciation the following month (full-month depreciation
            only)
        mid_month_threshold:
          type: integer
          maximum: 31
          minimum: 0
          description: >-
            Day of month threshold (0-31). Assets placed in service AFTER this
            day will start depreciation the following month
        use_whole_month_accounting_for_prepaids:
          type: boolean
          description: >-
            When enabled, prepaid amortizations will use whole-month accounting
            (no proration of first/last months)
        split_invoice_payments_by_line:
          type: boolean
          nullable: true
          description: When enabled, invoice payments will be split by line items
        split_eliminations_by_department:
          type: boolean
          description: >-
            When enabled, elimination entries are broken out by department in
            addition to account and entity
        customer:
          type: integer
          readOnly: true
        uncategorized:
          type: integer
          nullable: true
        accounts_payable:
          type: integer
          nullable: true
        accounts_receivable:
          type: integer
          nullable: true
        deferred_revenue:
          type: integer
          nullable: true
        accrued_revenue:
          type: integer
          nullable: true
        unrealized_gain_loss:
          type: integer
          nullable: true
        realized_gain_loss:
          type: integer
          nullable: true
        rounding_account:
          type: integer
          nullable: true
        unapplied_credits:
          type: integer
          nullable: true
        unapplied_debits:
          type: integer
          nullable: true
        unbilled_revenue:
          type: integer
          nullable: true
        default_clearing:
          type: integer
          nullable: true
        discount_account:
          type: integer
          nullable: true
        accrued_discount_account:
          type: integer
          nullable: true
        unbilled_discount_account:
          type: integer
          nullable: true
        refund_account:
          type: integer
          nullable: true
        processing_fees:
          type: integer
          nullable: true
        platform_fees:
          type: integer
          nullable: true
          description: >-
            Account for Stripe platform/subscription fees. Falls back to
            processing_fees if not set.
        deferred_processing_fees:
          type: integer
          nullable: true
        tax_account:
          type: integer
          nullable: true
        payout_account:
          type: integer
          nullable: true
        cta_account:
          type: integer
          nullable: true
        fixed_asset_disposal:
          type: integer
          nullable: true
        bad_debt_account:
          type: integer
          nullable: true
        dispute_expense_account:
          type: integer
          nullable: true
          description: >-
            Account for dispute withdrawals (debit) and dispute reinstatement
            reversals (credit). Falls back to bad_debt_account if not set.
        dispute_reinstatement_account:
          type: integer
          nullable: true
          description: >-
            Account credited when a dispute is reinstated (won). Falls back to
            dispute_expense_account if not set.
      required:
        - accounts_payable_name_and_number
        - accounts_receivable_name_and_number
        - accrued_discount_account_name_and_number
        - accrued_revenue_name_and_number
        - bad_debt_account_name_and_number
        - cta_account_name_and_number
        - customer
        - default_clearing_name_and_number
        - deferred_processing_fees_name_and_number
        - deferred_revenue_name_and_number
        - discount_account_name_and_number
        - dispute_expense_account_name_and_number
        - dispute_reinstatement_account_name_and_number
        - fixed_asset_disposal_name_and_number
        - id
        - payout_account_name_and_number
        - platform_fees_name_and_number
        - processing_fees_name_and_number
        - realized_gain_loss_name_and_number
        - refund_account_name_and_number
        - rounding_account_name_and_number
        - tax_account_name_and_number
        - unapplied_credits_name_and_number
        - unapplied_debits_name_and_number
        - unbilled_discount_account_name_and_number
        - unbilled_revenue_name_and_number
        - uncategorized_name_and_number
        - unrealized_gain_loss_name_and_number
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````